﻿Namespace Logic.Contracts


    Public Interface iContract
        Property MaturityDate As Date?
        Property ReportDate As Date?
        Property Balance As Double?
        Property InterestRate As Double?
        Property ContractType As String
        Property ContractID As String
        Property Currency As String
        Property CycleOfPayment As String
        Property ContractMajorGroup As String
        Property ContractProductCode As String
        Property ContractProductDiscription As String
        Property ContractTag As String
        Property ResponsableGL As String
        ReadOnly Property PaymentSchedaul As List(Of PaymentSchedual)

        Function CalculatePaymnetSchedaul() As List(Of PaymentSchedual)
        Function CalculateRemainingSeltelemntsNumber() As Integer

    End Interface
End Namespace